Webhooks (v1)

circle-info

이 문서는 v1 API를 사용하며, Snyk은 향후 개발을 REST API에 집중할 예정이므로 결국 지원이 중단될 예정입니다. 자세한 내용은 v1 API를 참조하십시오.

circle-exclamation

Create a webhook

post

Snyk sends a ping event to the newly configured webhook so you can check you're able to receive the transports.### Required permissions

  • View Organization

  • View Outbound Webhooks

  • Create Outbound Webhooks

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
orgIdstringRequired

The organization ID to list projects for. The API_KEY must have access to this organization.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Body
urlstringOptional

Webhooks can only be configured for URLs using the https protocol. http is not allowed.

secretstringOptional

This is a password you create, that Snyk uses to sign our transports to you, so you be sure the notification is authentic. Your secret should: Be a random string with high entropy; Not be used for anything else; Only known to Snyk and your webhook transport consuming code;

Responses
chevron-right
200Success
application/json
idstringRequired
urlstringRequired
post
/org/{orgId}/webhooks
200Success

List webhooks

get

Snyk sends a ping event to the newly configured webhook so you can check you're able to receive the transports

Required permissions

  • View Organization

  • View Outbound Webhooks

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
orgIdstringRequired

The organization ID to list projects for. The API_KEY must have access to this organization.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Responses
chevron-right
200Success
application/json
totalinteger · int32Required
get
/org/{orgId}/webhooks
200Success

Retrieve a webhook

get

Required permissions

  • View Organization

  • View Outbound Webhooks

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
orgIdstringRequired

The organization ID the project belongs to. The API_KEY must have access to this organization.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
webhookIdstringRequired

The webhook ID.

Example: 463c1ee5-31bc-428c-b451-b79a3270db08
Responses
chevron-right
200Success
application/json
idstringRequired
urlstringRequired
get
/org/{orgId}/webhooks/{webhookId}
200Success

Delete a webhook

delete

Required permissions

  • View Organization

  • View Outbound Webhooks

  • Remove Outbound Webhooks

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
orgIdstringRequired

The organization ID the project belongs to. The API_KEY must have access to this organization.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
webhookIdstringRequired

The webhook ID.

Example: 463c1ee5-31bc-428c-b451-b79a3270db08
Responses
chevron-right
200Success
delete
/org/{orgId}/webhooks/{webhookId}
200Success

No content

Ping a webhook

post

Required permissions

  • View Organization

  • View Outbound Webhooks

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
orgIdstringRequired

The organization ID the project belongs to. The API_KEY must have access to this organization.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
webhookIdstringRequired

The webhook ID.

Example: 463c1ee5-31bc-428c-b451-b79a3270db08
Responses
chevron-right
200Success
post
/org/{orgId}/webhooks/{webhookId}/ping
200Success

No content

Last updated